#ifndef __INPUTDETECT_H
#define __INPUTDETECT_H
#include <stdint.h>

//--------------definicje-----------------

//detektor sygnału zegara - bity
#define DETECTOR_AMANERO_CLK 0x001
#define DETECTOR_AMANERO_DATA 0x002
#define DETECTOR_PCM_CLK 0x004
#define DETECTOR_PCM_DATA 0x008
#define DETECTOR_DSD 0x010
#define DETECTOR_SPDIF 0x020
#define DETECTOR_AES_EBU 0x040
#define DETECTOR_TOSLINK 0x080
#define DETECTOR_BT 0x100


//-----------------typy-------------------


//---------------funkcje------------------
int8_t inputdetect_Initialize(void);
uint16_t inputdetect_ReadInputSelector(void);
uint16_t inputdetect_ReadClockDetectors(void);

#endif