#ifndef __WATCHDOG_H
#define __WATCHDOG_H

#define WATCHDOG_REFRESH 100 // nakarm watchdoga co 1s
#define WATCHDOG_OFFSET 10 //przesunięcie 100ms
#define WATCHDOG_ENABLE 0xCCCC
#define WATCHDOG_RELOAD 0xAAAA

//źródło resetu
#define RESET_SOURCE_HARD 0
#define RESET_SOURCE_SOFT 1

//funkcje
void Watchdog_Initialize(void);
void Watchdog_Feed(void);
uint8_t Watchdog_ResetSource(void);

#endif
